Part of the response of 7 operations and the payload of order.created and order.updated.

Type: object

Example

Schema example: from the GET /orders response
{
  "name": "Alex Morgan",
  "email": "alex.morgan@example.test",
  "shipping_address": {
    "line1": "123 Sandbox Avenue",
    "line2": "Unit 4",
    "city": "Toronto",
    "province": "ON",
    "postal_code": "M5V 2T6",
    "country": "CA"
  }
}

Fields

name string required

Example Alex Morgan

email string required

The contact email address.

Example alex.morgan@example.test

shipping_address OrderWebhookShippingAddress required

The shipping address saved when the order was created.

Show child fieldsHide child fields
shipping_address.line1 string required

The street address.

Example 123 Sandbox Avenue

shipping_address.line2 string or null required

The unit, suite, or second address line, if supplied.

Example Unit 4

shipping_address.city string required

The city in the shipping address.

Example Toronto

shipping_address.province string required

The Canadian province or territory in the delivery address.

Example ON

shipping_address.postal_code string required

The Canadian postal code in the delivery address.

Example M5V 2T6

shipping_address.country string required

ISO 3166-1 alpha-2 country code.

Example CA

Used by